## haskell-semirings 0.6

=== debian/changelog ===
haskell-semirings (0.6-4) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * Sourceful upload for GHC 9.6

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 05 Oct 2024 09:15:22 +0300

haskell-semirings (0.6-3) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * Sourceful upload for GHC 9.4

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 13 Sep 2023 13:39:15 +0300

haskell-semirings (0.6-2) unstable; urgency=medium

  * Post-NEW source-only upload

 -- Scott Talbert <swt@techie.net>  Sat, 30 Jul 2022 20:57:46 -0400

haskell-semirings (0.6-1) unstable; urgency=low

  * Initial release

 -- Scott Talbert <swt@techie.net>  Wed, 27 Jul 2022 20:40:09 -0400
