## haskell-semirings 0.7

=== debian/changelog ===
haskell-semirings (0.7-1) unstable; urgency=medium

  [ Scott Talbert ]
  * Build using dh-haskell

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Mon, 19 Jan 2026 22:21:53 -0500
