=== debian/control ===
--- 
+++ 
@@ -3,24 +3,19 @@
 Uploaders: Scott Talbert <swt@techie.net>
 Priority: optional
 Section: haskell
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
  haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
- cdbs,
+ dh-sequence-haskell,
  ghc (>= 9.4),
  ghc-prof,
- libghc-base-compat-batteries-dev,
- libghc-base-compat-batteries-prof,
  libghc-hashable-dev (>= 1.1),
- libghc-hashable-dev (<< 1.5),
  libghc-hashable-prof,
  libghc-unordered-containers-dev (>= 0.2),
- libghc-unordered-containers-dev (<< 0.3),
  libghc-unordered-containers-prof,
 Build-Depends-Indep: ghc-doc,
- libghc-base-compat-batteries-doc,
  libghc-hashable-doc,
  libghc-unordered-containers-doc,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/chessai/semirings
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-semirings
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-semirings]
